Subject: [sipcore] New draft-ietf-sipcore-sec-flows-03

From: Brian Hibbard <[email-masked]>
Date: Mon, 14 Jun 2010 15:35:10 -0500

Greetings All,

There is a new version of draft-ietf-sipcore-sec-flows at
http://www.ietf.org/internet-drafts/draft-ietf-sipcore-sec-flows-03.txt

Here is a brief summary of the changes in this version:

	1) 	Example certificates have corrected serial numbers and expiration dates that expire in 100 years.  

	2)	Example flows have Contact header fields removed.  They now use the allOneLine convention that was put forth in RFC 4475.

	3)	Section 5 ("Observed Interoperability Issues") and Section 6 ("Additional Test Scenarios") had a good deal of minor editing, mostly to the effect of including relevant references and not trying to introduce new normative-sounding language.

	4)	There is a new section that presents an example of a certificate chain that includes a non-root CA (the cert chain is longer than two).

I specifically want to call attention to changes I made to a bullet item in section 6.  The old text said:

	"For S/MIME, the peer's URI must appear in the subjectAltName 
	of the peer's certifcate as a uniformResourceIdentifier field."

The question came up "which URI?"  With regard to S/MIME, RFC 3261 section 23.3 mentions specifies the URI from AOR.  

The text now reads:
 	"For S/MIME secured bodies, assure that the peer's URI 
	(address-of-record, as per RFC 3261 [3] section 23.3) appears in the 
	subjectAltName of the peer's certifcate as a uniformResourceIdentifier field."

Regards,

Brian Hibbard
Tekelec